Bug 800547 - [abrt] mercurial-1.9.3-1.fc16: dispatch.py:68:catchterm:SignalInterrupt
[abrt] mercurial-1.9.3-1.fc16: dispatch.py:68:catchterm:SignalInterrupt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mercurial (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
abrt_hash:87357ae3dc3aabe0b9b725744f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 12:23 EST by Clifford Ilkay
Modified: 2013-02-13 14:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:28:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (5.20 KB, text/plain)
2012-03-06 12:23 EST, Clifford Ilkay
no flags Details

  None (edit)
Description Clifford Ilkay 2012-03-06 12:23:25 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/hg --config ui.fallbackencoding=windows-1251 --encoding UTF-8 -y status -marduc
comment:        When I launch PyDev (Eclipse), I hear a lot of disk thrashing and the machine gets quite slow. If I look in System Monitor, I can see that Mercurial is consuming ever increasing amounts of RAM, 1.9GB by the time it eventually crashed. Once hg crashes, the machine is responsive and hg seems to work.
executable:     /usr/bin/hg
kernel:         3.2.7-1.fc16.x86_64
reason:         dispatch.py:68:catchterm:SignalInterrupt
time:           Tue 06 Mar 2012 12:18:22 PM EST
uid:            1000
username:       cilkay

smolt_data:     Text file, 5322 bytes

backtrace:
:dispatch.py:68:catchterm:SignalInterrupt
:
:Traceback (most recent call last):
:  File "/usr/bin/hg", line 38, in <module>
:    mercurial.dispatch.run()
:  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 27, in run
:    sys.exit(dispatch(request(sys.argv[1:])))
:  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 64, in dispatch
:    return _runcatch(req)
:  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 68, in catchterm
:    raise error.SignalInterrupt
:SignalInterrupt
:
:Local variables in innermost frame:
:args: (15, <frame object at 0x25cca00>)
Comment 1 Clifford Ilkay 2012-03-06 12:23:28 EST
Created attachment 568009 [details]
File: smolt_data
Comment 2 Mads Kiilerich 2012-03-06 12:33:50 EST
Eclipse / pydev is not aware of Mercurial. Some other software must be involved. Which?

What is working directory of the hg process? (Get the process id and look where the /proc/TheProcessId/cwd symlink points.

Are you working on big projects? Is "find . > /dev/null" fast?
Comment 3 Clifford Ilkay 2012-03-08 11:28:36 EST
Eclipse and PyDev are quite aware of Mercurial by virtue of the Mercurial plugin from http://cbes.javaforge.com/update. There was nothing unusual about the projects in question. They were quite small.
Comment 4 Mads Kiilerich 2012-03-08 11:44:03 EST
Ok. So you installed some other software that are calling out to Mercurial. What software and what version is that?

Can you try
strace -p TheProcessId
and see what the Mercurial process is doing?
Comment 5 Fedora End Of Life 2013-01-16 11:06:25 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 14:28:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.